hrtimer_start
Prev | High-resolution timers | Next

## Name

hrtimer_start — (re)start an relative timer on the current CPU

## Synopsis

`int hrtimer_start (` | struct hrtimer * | timer,
| ktime_t | tim,
| const enum hrtimer_mode | mode`)`;

## Arguments

`timer`

  the timer to be added

`tim`

  expiry time

`mode`

  expiry mode: absolute (HRTIMER_ABS) or relative (HRTIMER_REL)

## Returns

0 on success 1 when the timer was active

Prev | Up | Next
hrtimer_forward | Home | hrtimer_try_to_cancel